Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.orm.castor
Class SignType

    java.lang.Object
      org.kemet.orm.castor.SignType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Sign

    public class SignType

extends java.lang.Object
implements java.io.Serializable

Class SignType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`SignType()`

Method Summary
`void` | `deleteDeterminer()`
`void` | `deleteFeminineGrammaticalKind()`
`void` | `deleteIdeogram()`
`void` | `deleteIndicator_ppa()`
`void` | `deleteSubstitute()`
`void` | `deleteUsedForIdeogram()`
`boolean` | `getDeterminer()` Returns the value of field 'determiner'.
`boolean` | `getFeminineGrammaticalKind()` Returns the value of field 'feminineGrammaticalKind'.
`java.lang.String` | `getHieroglyph()` Returns the value of field 'hieroglyph'.
`java.lang.String` | `getId()` Returns the value of field 'id'.
`java.lang.String` | `getIdentification()` Returns the value of field 'identification'.
`boolean` | `getIdeogram()` Returns the value of field 'ideogram'.
`boolean` | `getIndicator_ppa()` Returns the value of field 'indicator_ppa'.
`SignTypeSequence` | `getSignTypeSequence()` Returns the value of field 'signTypeSequence'.
`SignTypeSequence2` | `getSignTypeSequence2()` Returns the value of field 'signTypeSequence2'.
`SignTypeSequence3` | `getSignTypeSequence3()` Returns the value of field 'signTypeSequence3'.
`SignTypeSequence4` | `getSignTypeSequence4()` Returns the value of field 'signTypeSequence4'.
`boolean` | `getSubstitute()` Returns the value of field 'substitute'.
`boolean` | `getUsedForIdeogram()` Returns the value of field 'usedForIdeogram'.
`boolean` | `hasDeterminer()` Method hasDeterminer.
`boolean` | `hasFeminineGrammaticalKind()` Method hasFeminineGrammaticalKind.
`boolean` | `hasIdeogram()` Method hasIdeogram.
`boolean` | `hasIndicator_ppa()` Method hasIndicator_ppa.
`boolean` | `hasSubstitute()` Method hasSubstitute.
`boolean` | `hasUsedForIdeogram()` Method hasUsedForIdeogram.
`boolean` | `isDeterminer()` Returns the value of field 'determiner'.
`boolean` | `isFeminineGrammaticalKind()` Returns the value of field 'feminineGrammaticalKind'.
`boolean` | `isIdeogram()` Returns the value of field 'ideogram'.
`boolean` | `isIndicator_ppa()` Returns the value of field 'indicator_ppa'.
`boolean` | `isSubstitute()` Returns the value of field 'substitute'.
`boolean` | `isUsedForIdeogram()` Returns the value of field 'usedForIdeogram'.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `setDeterminer(boolean determiner)` Sets the value of field 'determiner'.
`void` | `setFeminineGrammaticalKind(boolean feminineGrammaticalKind)` Sets the value of field 'feminineGrammaticalKind'.
`void` | `setHieroglyph(java.lang.String hieroglyph)` Sets the value of field 'hieroglyph'.
`void` | `setId(java.lang.String id)` Sets the value of field 'id'.
`void` | `setIdentification(java.lang.String identification)` Sets the value of field 'identification'.
`void` | `setIdeogram(boolean ideogram)` Sets the value of field 'ideogram'.
`void` | `setIndicator_ppa(boolean indicator_ppa)` Sets the value of field 'indicator_ppa'.
`void` | `setSignTypeSequence(SignTypeSequence signTypeSequence)` Sets the value of field 'signTypeSequence'.
`void` | `setSignTypeSequence2(SignTypeSequence2 signTypeSequence2)` Sets the value of field 'signTypeSequence2'.
`void` | `setSignTypeSequence3(SignTypeSequence3 signTypeSequence3)` Sets the value of field 'signTypeSequence3'.
`void` | `setSignTypeSequence4(SignTypeSequence4 signTypeSequence4)` Sets the value of field 'signTypeSequence4'.
`void` | `setSubstitute(boolean substitute)` Sets the value of field 'substitute'.
`void` | `setUsedForIdeogram(boolean usedForIdeogram)` Sets the value of field 'usedForIdeogram'.
`static SignType` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignType

    public SignType()

Method Detail

### deleteDeterminer

    public void deleteDeterminer()

### deleteFeminineGrammaticalKind

    public void deleteFeminineGrammaticalKind()

### deleteIdeogram

    public void deleteIdeogram()

### deleteIndicator_ppa

    public void deleteIndicator_ppa()

### deleteSubstitute

    public void deleteSubstitute()

### deleteUsedForIdeogram

    public void deleteUsedForIdeogram()

### getDeterminer

    public boolean getDeterminer()

  Returns the value of field 'determiner'.

  Returns:
    the value of field 'Determiner'.

### getFeminineGrammaticalKind

    public boolean getFeminineGrammaticalKind()

  Returns the value of field 'feminineGrammaticalKind'.

  Returns:
    the value of field 'FeminineGrammaticalKind'.

### getHieroglyph

    public java.lang.String getHieroglyph()

  Returns the value of field 'hieroglyph'.

  Returns:
    the value of field 'Hieroglyph'.

### getId

    public java.lang.String getId()

  Returns the value of field 'id'.

  Returns:
    the value of field 'Id'.

### getIdentification

    public java.lang.String getIdentification()

  Returns the value of field 'identification'.

  Returns:
    the value of field 'Identification'.

### getIdeogram

    public boolean getIdeogram()

  Returns the value of field 'ideogram'.

  Returns:
    the value of field 'Ideogram'.

### getIndicator_ppa

    public boolean getIndicator_ppa()

  Returns the value of field 'indicator_ppa'.

  Returns:
    the value of field 'Indicator_ppa'.

### getSignTypeSequence

    public SignTypeSequence getSignTypeSequence()

  Returns the value of field 'signTypeSequence'.

  Returns:
    the value of field 'SignTypeSequence'.

### getSignTypeSequence2

    public SignTypeSequence2 getSignTypeSequence2()

  Returns the value of field 'signTypeSequence2'.

  Returns:
    the value of field 'SignTypeSequence2'.

### getSignTypeSequence3

    public SignTypeSequence3 getSignTypeSequence3()

  Returns the value of field 'signTypeSequence3'.

  Returns:
    the value of field 'SignTypeSequence3'.

### getSignTypeSequence4

    public SignTypeSequence4 getSignTypeSequence4()

  Returns the value of field 'signTypeSequence4'.

  Returns:
    the value of field 'SignTypeSequence4'.

### getSubstitute

    public boolean getSubstitute()

  Returns the value of field 'substitute'.

  Returns:
    the value of field 'Substitute'.

### getUsedForIdeogram

    public boolean getUsedForIdeogram()

  Returns the value of field 'usedForIdeogram'.

  Returns:
    the value of field 'UsedForIdeogram'.

### hasDeterminer

    public boolean hasDeterminer()

  Method hasDeterminer.

  Returns:
    true if at least one Determiner has been added

### hasFeminineGrammaticalKind

    public boolean hasFeminineGrammaticalKind()

  Method hasFeminineGrammaticalKind.

  Returns:
    true if at least one FeminineGrammaticalKind has been added

### hasIdeogram

    public boolean hasIdeogram()

  Method hasIdeogram.

  Returns:
    true if at least one Ideogram has been added

### hasIndicator_ppa

    public boolean hasIndicator_ppa()

  Method hasIndicator_ppa.

  Returns:
    true if at least one Indicator_ppa has been added

### hasSubstitute

    public boolean hasSubstitute()

  Method hasSubstitute.

  Returns:
    true if at least one Substitute has been added

### hasUsedForIdeogram

    public boolean hasUsedForIdeogram()

  Method hasUsedForIdeogram.

  Returns:
    true if at least one UsedForIdeogram has been added

### isDeterminer

    public boolean isDeterminer()

  Returns the value of field 'determiner'.

  Returns:
    the value of field 'Determiner'.

### isFeminineGrammaticalKind

    public boolean isFeminineGrammaticalKind()

  Returns the value of field 'feminineGrammaticalKind'.

  Returns:
    the value of field 'FeminineGrammaticalKind'.

### isIdeogram

    public boolean isIdeogram()

  Returns the value of field 'ideogram'.

  Returns:
    the value of field 'Ideogram'.

### isIndicator_ppa

    public boolean isIndicator_ppa()

  Returns the value of field 'indicator_ppa'.

  Returns:
    the value of field 'Indicator_ppa'.

### isSubstitute

    public boolean isSubstitute()

  Returns the value of field 'substitute'.

  Returns:
    the value of field 'Substitute'.

### isUsedForIdeogram

    public boolean isUsedForIdeogram()

  Returns the value of field 'usedForIdeogram'.

  Returns:
    the value of field 'UsedForIdeogram'.

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### setDeterminer

    public void setDeterminer(boolean determiner)

  Sets the value of field 'determiner'.

  Parameters:
    `determiner` - the value of field 'determiner'.

### setFeminineGrammaticalKind

    public void setFeminineGrammaticalKind(boolean feminineGrammaticalKind)

  Sets the value of field 'feminineGrammaticalKind'.

  Parameters:
    `feminineGrammaticalKind` - the value of field 'feminineGrammaticalKind'.

### setHieroglyph

    public void setHieroglyph(java.lang.String hieroglyph)

  Sets the value of field 'hieroglyph'.

  Parameters:
    `hieroglyph` - the value of field 'hieroglyph'.

### setId

    public void setId(java.lang.String id)

  Sets the value of field 'id'.

  Parameters:
    `id` - the value of field 'id'.

### setIdentification

    public void setIdentification(java.lang.String identification)

  Sets the value of field 'identification'.

  Parameters:
    `identification` - the value of field 'identification'.

### setIdeogram

    public void setIdeogram(boolean ideogram)

  Sets the value of field 'ideogram'.

  Parameters:
    `ideogram` - the value of field 'ideogram'.

### setIndicator_ppa

    public void setIndicator_ppa(boolean indicator_ppa)

  Sets the value of field 'indicator_ppa'.

  Parameters:
    `indicator_ppa` - the value of field 'indicator_ppa'.

### setSignTypeSequence

    public void setSignTypeSequence(SignTypeSequence signTypeSequence)

  Sets the value of field 'signTypeSequence'.

  Parameters:
    `signTypeSequence` - the value of field 'signTypeSequence'

### setSignTypeSequence2

    public void setSignTypeSequence2(SignTypeSequence2 signTypeSequence2)

  Sets the value of field 'signTypeSequence2'.

  Parameters:
    `signTypeSequence2` - the value of field 'signTypeSequence2'.

### setSignTypeSequence3

    public void setSignTypeSequence3(SignTypeSequence3 signTypeSequence3)

  Sets the value of field 'signTypeSequence3'.

  Parameters:
    `signTypeSequence3` - the value of field 'signTypeSequence3'.

### setSignTypeSequence4

    public void setSignTypeSequence4(SignTypeSequence4 signTypeSequence4)

  Sets the value of field 'signTypeSequence4'.

  Parameters:
    `signTypeSequence4` - the value of field 'signTypeSequence4'.

### setSubstitute

    public void setSubstitute(boolean substitute)

  Sets the value of field 'substitute'.

  Parameters:
    `substitute` - the value of field 'substitute'.

### setUsedForIdeogram

    public void setUsedForIdeogram(boolean usedForIdeogram)

  Sets the value of field 'usedForIdeogram'.

  Parameters:
    `usedForIdeogram` - the value of field 'usedForIdeogram'.

### unmarshal

    public static SignType unmarshal(java.io.Reader reader)
                              throws org.exolab.castor.xml.MarshalException,
                                     org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled org.kemet.orm.castor.SignType
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.